---
lang: en
title: 'API docs: authentication-jwt.refreshtokenservice.revoketoken'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.refreshtokenservice.revoketoken.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [RefreshtokenService](./authentication-jwt.refreshtokenservice.md) &gt; [revokeToken](./authentication-jwt.refreshtokenservice.revoketoken.md)

## RefreshtokenService.revokeToken() method

<b>Signature:</b>

```typescript
revokeToken(refreshToken: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  refreshToken | string |  |

<b>Returns:</b>

Promise&lt;void&gt;


